## eq10q 1.2

=== Makefile ===
BUNDLE = paramEQ-Rafols.lv2
INSTALL_DIR = /usr/local/lib/lv2


$(BUNDLE): manifest.ttl parameq.ttl paramEQ.so parameq_gui.so  logo_top_top.png logo_top.png logo_center.png logo_bottom.png logo_bottom_bottom.png EQ-10Q_bakc.png combopix
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl parameq.ttl paramEQ.so parameq_gui.so logo_top_top.png logo_top.png logo_center.png logo_bottom.png logo_bottom_bottom.png EQ-10Q_bakc.png $(BUNDLE)
	cp -R combopix $(BUNDLE)

paramEQ.so: plugin.cpp
	g++ -O3 -shared -fPIC -DPIC plugin.cpp `pkg-config --cflags --libs lv2-plugin` -o paramEQ.so

parameq_gui.so: main_window.cpp band_ctl.cpp ctlbutton.cpp bodeplot.cpp vuwidget.cpp templatewidget.cpp pixmapcombo.cpp
	g++ -O3 -shared -fPIC -DPIC  bodeplot.cpp templatewidget.cpp vuwidget.cpp pixmapcombo.cpp ctlbutton.cpp  band_ctl.cpp main_window.cpp `pkg-config --cflags --libs lv2-gui plotmm`  -o parameq_gui.so


install: $(BUNDLE)
	mkdir -p $(INSTALL_DIR)
	rm -rf $(INSTALL_DIR)/$(BUNDLE)
	cp -R $(BUNDLE) $(INSTALL_DIR)

clean:
	rm -rf $(BUNDLE) paramEQ.so parameq_gui.so

=== debian/changelog ===
eq10q (1.2-2) unstable; urgency=low

  * debian/patches/01-makefile.patch:
    - Current sid's lv2-c++-tools provides static libraries needed to
      build the plugin.
  * Build-depend on lv2-c++-tools >= 1.0.4-3~
  * Remove build-dependency on libpaq-dev.

 -- Alessio Treglia <alessio@debian.org>  Sat, 26 Mar 2011 10:48:11 +0100

eq10q (1.2-1) unstable; urgency=low

  * New upstream release.
  * Added patch fixing missing prefix definition.
  * Added patches fixing instalation path to meet debian practice.
  * Delete 4-parameq.ttl.patch, not needed anymore.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 09 Mar 2011 21:37:11 +0100

eq10q (1.1-1) unstable; urgency=low

  * Initial release (Closes: #584622). 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 14 Jan 2011 01:27:59 +0100

=== debian/control ===
Source: eq10q
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 libgtkmm-2.4-dev,
 libpstreams-dev,
 libplotmm-dev,
 lv2-c++-tools (>= 1.0.4-3~),
 pkg-config
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/eq10q.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/eq10q.git
Homepage: http://eq10q.sourceforge.net

Package: eq10q
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: lv2-plugin
Description: LV2 equalizer
 EQ10Q is an audio plugin over the LV2 standard (http://lv2plug.in)
 implementing a powerful and flexible parametric equalizer, currently
 in development. The goal is to create an equalizer plugin that includes
 parametric equalization with different filter types like peaking, HPF,
 LPF, Shelving and Notch with IIR and FIR algorithms and a nice GUI
 displaying the equalization curve.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=3
http://sf.net/eq10q/EQ10Q-LV2Plugin-source-(.*)\.tar\.gz

## eq10q 2.0~beta5.1~repack0

=== CMakeLists.txt ===
##EQ10Q TopLevel CMake
cmake_minimum_required(VERSION 2.8)
PROJECT(eq10q)

##ADD_DEFINITIONS(-Wall -O3 -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99)
set(CMAKE_C_FLAGS "-Wall -O3 -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99")
set(CMAKE_CXX_FLAGS "-Wall -fPIC")

#ADD_DEFINITIONS(-Wall -O0 -g -fPIC -DPIC) ###USED FOR DEBUG

#Set Install prefix
set (CMAKE_INSTALL_PREFIX  "/usr/local/lib/lv2") #Install prefix
#set (CMAKE_INSTALL_PREFIX  "$ENV{HOME}/.lv2") #Install prefix
set (LV2_BUNDLE "sapistaEQv2.lv2") #LV2 Bundel dir
set(EXECUTABLE_OUTPUT_PATH "${PROJECT_SOURCE_DIR}/bin")
set(LIBRARY_OUTPUT_PATH "${PROJECT_SOURCE_DIR}/bin")

add_subdirectory(gui) 
add_subdirectory(dsp)

#===========================BUILD EQ10Q ALL DSP FILES=============================================

#Build EQ1QM DSP
set( Eq_Bands_Count 1)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq1qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq1qm.c")
add_library(eq1qm SHARED eq1qm.c)
target_link_libraries( eq1qm  lib_filter lib_vumeter lib_smooth)

#Build EQ1QS DSP
set( Eq_Bands_Count 1)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq1qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq1qs.c")
add_library(eq1qs SHARED eq1qs.c)
target_link_libraries( eq1qs  lib_filter lib_vumeter lib_smooth)

#Build EQ4QM DSP
set( Eq_Bands_Count 4)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq4qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq4qm.c")
add_library(eq4qm SHARED eq4qm.c)
target_link_libraries( eq4qm  lib_filter lib_vumeter lib_smooth)

#Build EQ4QS DSP
set( Eq_Bands_Count 4)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq4qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq4qs.c")
add_library(eq4qs SHARED eq4qs.c)
target_link_libraries( eq4qs  lib_filter lib_vumeter lib_smooth)

#Build EQ6QM DSP
set( Eq_Bands_Count 6)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq6qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq6qm.c")
add_library(eq6qm SHARED eq6qm.c)
target_link_libraries( eq6qm  lib_filter lib_vumeter lib_smooth)

#Build EQ6QS DSP
set( Eq_Bands_Count 6)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq6qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq6qs.c")
add_library(eq6qs SHARED eq6qs.c)
target_link_libraries( eq6qs  lib_filter lib_vumeter lib_smooth)

#Build EQ10QM DSP
set( Eq_Bands_Count 10)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq10qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq10qm.c")
add_library(eq10qm SHARED eq10qm.c)
target_link_libraries( eq10qm  lib_filter lib_vumeter lib_smooth)

#Build EQ10QS DSP
set( Eq_Bands_Count 10)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq10qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq10qs.c")
add_library(eq10qs SHARED eq10qs.c)
target_link_libraries( eq10qs  lib_filter lib_vumeter lib_smooth)

#Build GATE DSP
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_GATE")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/gate\"")
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/gate.c")
add_library(gate SHARED gate.c)
target_link_libraries( gate lib_vumeter lib_filter)

#Build Compressor DSP
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_COMPRESSOR")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/compressor\"")
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/compressor.c")
add_library(compressor SHARED compressor.c)
target_link_libraries( compressor lib_vumeter lib_filter)

#remove the lib prefix to all generated .so files
set_target_properties(eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor PROPERTIES PREFIX "")

#CLEAN generated .c files on run 'make clean'
SET(generatedEqConfigFiles 
      ${PROJECT_SOURCE_DIR}/eq1qm.c;${PROJECT_SOURCE_DIR}/eq1qs.c
      ${PROJECT_SOURCE_DIR}/eq4qm.c;${PROJECT_SOURCE_DIR}/eq4qs.c
      ${PROJECT_SOURCE_DIR}/eq6qm.c;${PROJECT_SOURCE_DIR}/eq6qs.c
      ${PROJECT_SOURCE_DIR}/eq10qm.c;${PROJECT_SOURCE_DIR}/eq10qs.c
      ${PROJECT_SOURCE_DIR}/gate.c;${PROJECT_SOURCE_DIR}/compressor.c
      )
SET_DIRECTORY_PROPERTIES(PROPERTIES  ADDITIONAL_MAKE_CLEAN_FILES "${generatedEqConfigFiles}")


##===========================THE LV2 INSTALLER================================================
#INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/${LV2_BUNDLE}" DESTINATION "${LV2_BUNDLE}")
INSTALL( FILES "manifest.ttl" "eq1qm.ttl" "eq1qs.ttl" "eq4qm.ttl" "eq4qs.ttl" "eq6qm.ttl" "eq6qs.ttl" "eq10qm.ttl" "eq10qs.ttl" "gate.ttl" "compressor.ttl" DESTINATION "${LV2_BUNDLE}")
INSTALL( TARGETS eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor DESTINATION "${LV2_BUNDLE}")

INCLUDE(CPack)
# cpack -G TGZ

=== dsp/CMakeLists.txt ===
###DSP CMake

##Build Mono Filter lib
add_library(lib_filter STATIC filter.c)

##Build the vumeter
add_library( lib_vumeter  STATIC vu.c)

##Build the smooth
add_library( lib_smooth  STATIC smooth.c)

=== gui/CMakeLists.txt ===
##GUI CMake

#PROJECT(gui)

#GCC options example TODO remove -g option in release version
# TODO  segur k no e de fer un remove_definitions()???
##ADD_DEFINITIONS(-Wall -fPIC -DPIC -g)

find_package(PkgConfig)
pkg_check_modules(GTKMM gtkmm-2.4)

add_subdirectory(widgets) 

link_directories(${GTKMM_LIBRARY_DIRS})

include_directories(${GTKMM_INCLUDE_DIRS})

#Tests GUI
set( Eq_Gui_Test_Path "\"${PROJECT_SOURCE_DIR}/gui\"" )
configure_file("${PROJECT_SOURCE_DIR}/gui/guitester.cpp" "${PROJECT_SOURCE_DIR}/gui/guitester_cfg_.cpp")
ADD_EXECUTABLE(eq10q_gui_tester  main.cpp guitester_cfg_.cpp)
target_link_libraries( eq10q_gui_tester  eqwin dynamicwin ${GTKMM_LIBRARIES})

#===========================BUILD EQ10Q ALL GUI FILES=============================================

#Build EQ1QM GUI
set( Eq_Bands_Count 1)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq1qm/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/eq10q_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/eq1qm_ui.cpp")
add_library(eq1qm_gui SHARED eq1qm_ui.cpp)
target_link_libraries( eq1qm_gui  eqwin ${GTKMM_LIBRARIES})

#Build EQ1QS GUI
set( Eq_Bands_Count 1)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq1qs/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/eq10q_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/eq1qs_ui.cpp")
add_library(eq1qs_gui SHARED eq1qs_ui.cpp)
target_link_libraries( eq1qs_gui  eqwin ${GTKMM_LIBRARIES})

#Build EQ4QM GUI
set( Eq_Bands_Count 4)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq4qm/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/eq10q_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/eq4qm_ui.cpp")
add_library(eq4qm_gui SHARED eq4qm_ui.cpp)
target_link_libraries( eq4qm_gui  eqwin ${GTKMM_LIBRARIES})

#Build EQ4QS GUI
set( Eq_Bands_Count 4)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq4qs/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/eq10q_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/eq4qs_ui.cpp")
add_library(eq4qs_gui SHARED eq4qs_ui.cpp)
target_link_libraries( eq4qs_gui  eqwin ${GTKMM_LIBRARIES})

#Build EQ6QM GUI
set( Eq_Bands_Count 6)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq6qm/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/eq10q_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/eq6qm_ui.cpp")
add_library(eq6qm_gui SHARED eq6qm_ui.cpp)
target_link_libraries( eq6qm_gui  eqwin ${GTKMM_LIBRARIES})

#Build EQ6QS GUI
set( Eq_Bands_Count 6)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq6qs/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/eq10q_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/eq6qs_ui.cpp")
add_library(eq6qs_gui SHARED eq6qs_ui.cpp)
target_link_libraries( eq6qs_gui  eqwin ${GTKMM_LIBRARIES})

#Build EQ10QM GUI
set( Eq_Bands_Count 10)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq10qm/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/eq10q_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/eq10qm_ui.cpp")
add_library(eq10qm_gui SHARED eq10qm_ui.cpp)
target_link_libraries( eq10qm_gui  eqwin ${GTKMM_LIBRARIES})

#Build EQ10QS GUI
set( Eq_Bands_Count 10)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq10qs/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/eq10q_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/eq10qs_ui.cpp")
add_library(eq10qs_gui SHARED eq10qs_ui.cpp)
target_link_libraries( eq10qs_gui  eqwin ${GTKMM_LIBRARIES})

#Build GATE GUI
set( bIsCompressor "false")
set( Dyn_Title "\"~GT10Q~\\r\\nNoise Gate\"")
set( Gui_Dyn_Uri  "\"http://eq10q.sourceforge.net/gate/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/dyn_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/gate_ui.cpp")
add_library(gate_gui SHARED gate_ui.cpp)
target_link_libraries( gate_gui  dynamicwin ${GTKMM_LIBRARIES})

#Build Compressor GUI
set( bIsCompressor "true")
set( Dyn_Title "\"~CS10Q~\\r\\nCompressor\"")
set( Gui_Dyn_Uri  "\"http://eq10q.sourceforge.net/compressor/gui\"")
configure_file("${PROJECT_SOURCE_DIR}/gui/dyn_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/compressor_ui.cpp")
add_library(compressor_gui SHARED compressor_ui.cpp)
target_link_libraries( compressor_gui  dynamicwin ${GTKMM_LIBRARIES})

#remove the lib prefix to all generated .so files
set_target_properties(eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui PROPERTIES PREFIX "")

##CLEAN generated .cpp files on run 'make clean'
SET(generatedGuiConfigFiles
      ${PROJECT_SOURCE_DIR}/gui/eq1qm_ui.cpp
      ${PROJECT_SOURCE_DIR}/gui/eq1qs_ui.cpp
      ${PROJECT_SOURCE_DIR}/gui/eq4qm_ui.cpp
      ${PROJECT_SOURCE_DIR}/gui/eq4qs_ui.cpp
      ${PROJECT_SOURCE_DIR}/gui/eq6qm_ui.cpp
      ${PROJECT_SOURCE_DIR}/gui/eq6qs_ui.cpp
      ${PROJECT_SOURCE_DIR}/gui/eq10qm_ui.cpp
      ${PROJECT_SOURCE_DIR}/gui/eq10qs_ui.cpp
      ${PROJECT_SOURCE_DIR}/gui/gate_ui.cpp
      ${PROJECT_SOURCE_DIR}/gui/compressor_ui.cpp
      )
SET_DIRECTORY_PROPERTIES(PROPERTIES  ADDITIONAL_MAKE_CLEAN_FILES "${generatedGuiConfigFiles}")

##=================================INSTALLER===================================================================================
INSTALL( TARGETS eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui DESTINATION "${LV2_BUNDLE}/gui")
INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/knobs" DESTINATION "${LV2_BUNDLE}/gui")
INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/combopix" DESTINATION "${LV2_BUNDLE}/gui")
INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/icons" DESTINATION "${LV2_BUNDLE}/gui")

=== gui/widgets/CMakeLists.txt ===
##Widgets CMake

link_directories(${GTKMM_LIBRARY_DIRS})

include_directories(${GTKMM_INCLUDE_DIRS})

add_library(eqwin  STATIC
		eqbutton.cpp ctlbutton.cpp pixmapcombo.cpp 
		bandctl.cpp gainctl.cpp eqparams.cpp faderwidget.cpp 
		vuwidget.cpp eqwindow.cpp filter.cpp setwidgetcolors.cpp 
		bodeplot.cpp)

target_link_libraries( eqwin ${GTKMM_LIBRARIES})

add_library(dynamicwin  STATIC vuwidget.cpp  knob.cpp dynamicswindow.cpp setwidgetcolors.cpp)
target_link_libraries( dynamicwin ${GTKMM_LIBRARIES})

=== debian/changelog ===
eq10q (2.0~beta5.1~repack0-2) unstable; urgency=low

  * Added patch to remove sse optimization.
  * Update description.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 20 Feb 2014 22:27:55 +0100

eq10q (2.0~beta5.1~repack0-1) unstable; urgency=low

  * New upstream release.
  * Set dh/compat 9.
  * Bump Standards.
  * Added cmake as build-dep.
  * Patches removed - not applied anymore.
  * Added patch to fix prefix.
  * Removed plotmm as build-dep.
  * Update VCS urls.
  * Update copyright.
  * Update watch file.
  * Added README.source file.
  * Removed lv2-c++-tools and libpstreams-dev as build-dep.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 17 Feb 2014 15:19:16 +0100

=== debian/control ===
Source: eq10q
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 9),
 cmake,
 libgtkmm-2.4-dev,
 pkg-config
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/eq10q.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/eq10q.git
Homepage: http://eq10q.sourceforge.net

Package: eq10q
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: lv2-plugin
Description: LV2 plugins bundle
 Package contains these plugins:
  * eq10q - 10 band equalizer;
  * eq6q  -  6 band equalizer;
  * eq4q  -  4 band equalizer;
  * eq1q  -  1 band equalizer;
  * cs10q -  compressor;
  * gt10q -  gate.
 .
 All plugins have mono and stereo version.
 .
 More information:
 http://eq10q.sourceforge.net/

## eq10q 2.0~beta7.1~repack0

=== CMakeLists.txt ===
##EQ10Q TopLevel CMake
cmake_minimum_required(VERSION 2.8)
PROJECT(eq10q)

##ADD_DEFINITIONS(-Wall -O3 -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99)
set(CMAKE_C_FLAGS "-Wall -O3 -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99")
set(CMAKE_CXX_FLAGS "-Wall -fPIC")

##ADD_DEFINITIONS(-Wall -O0 -g -fPIC -DPIC) ###USED FOR DEBUG

#Set Install prefix
set (CMAKE_INSTALL_PREFIX  "/usr/local/lib/lv2") #Install prefix
#set (CMAKE_INSTALL_PREFIX  "$ENV{HOME}/.lv2") #Install prefix
set (LV2_BUNDLE "sapistaEQv2.lv2") #LV2 Bundel dir
set(EXECUTABLE_OUTPUT_PATH "${PROJECT_SOURCE_DIR}/bin")
set(LIBRARY_OUTPUT_PATH "${PROJECT_SOURCE_DIR}/bin")

add_subdirectory(gui) 
add_subdirectory(dsp)

#===========================BUILD EQ10Q ALL DSP FILES=============================================

#Build EQ1QM DSP
set( Eq_Bands_Count 1)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq1qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq1qm.c")
add_library(eq1qm SHARED eq1qm.c)
target_link_libraries( eq1qm  lib_filter lib_vumeter m fftw3)

#Build EQ1QS DSP
set( Eq_Bands_Count 1)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq1qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq1qs.c")
add_library(eq1qs SHARED eq1qs.c)
target_link_libraries( eq1qs  lib_filter lib_vumeter m fftw3)

#Build EQ4QM DSP
set( Eq_Bands_Count 4)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq4qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq4qm.c")
add_library(eq4qm SHARED eq4qm.c)
target_link_libraries( eq4qm  lib_filter lib_vumeter m fftw3)

#Build EQ4QS DSP
set( Eq_Bands_Count 4)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq4qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq4qs.c")
add_library(eq4qs SHARED eq4qs.c)
target_link_libraries( eq4qs  lib_filter lib_vumeter m fftw3)

#Build EQ6QM DSP
set( Eq_Bands_Count 6)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq6qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq6qm.c")
add_library(eq6qm SHARED eq6qm.c)
target_link_libraries( eq6qm  lib_filter lib_vumeter m fftw3)

#Build EQ6QS DSP
set( Eq_Bands_Count 6)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq6qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq6qs.c")
add_library(eq6qs SHARED eq6qs.c)
target_link_libraries( eq6qs  lib_filter lib_vumeter m fftw3)

#Build EQ10QM DSP
set( Eq_Bands_Count 10)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq10qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq10qm.c")
add_library(eq10qm SHARED eq10qm.c)
target_link_libraries( eq10qm  lib_filter lib_vumeter m fftw3)

#Build EQ10QS DSP
set( Eq_Bands_Count 10)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq10qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq10qs.c")
add_library(eq10qs SHARED eq10qs.c)
target_link_libraries( eq10qs  lib_filter lib_vumeter m fftw3)

#Build GATE DSP Mono
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_GATE")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/gate\"")
set( Dyn_Channels_Count 1)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/gate_mono.c")
add_library(gate SHARED gate_mono.c)
target_link_libraries( gate lib_vumeter lib_filter m)

#Build Compressor DSP Mono
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_COMPRESSOR")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/compressor\"")
set( Dyn_Channels_Count 1)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/compressor_mono.c")
add_library(compressor SHARED compressor_mono.c)
target_link_libraries( compressor lib_vumeter lib_filter m)

#Build GATE DSP Stereo
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_GATE")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/gate_stereo\"")
set( Dyn_Channels_Count 2)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/gate_stereo.c")
add_library(gate_stereo SHARED gate_stereo.c)
target_link_libraries( gate_stereo lib_vumeter lib_filter m)

#Build Compressor DSP Stereo
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_COMPRESSOR")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/compressor_stereo\"")
set( Dyn_Channels_Count 2)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/compressor_stereo.c")
add_library(compressor_stereo SHARED compressor_stereo.c)
target_link_libraries( compressor_stereo lib_vumeter lib_filter m)

#Build BassUp DSP
add_library(bassup SHARED bassup.c)
target_link_libraries( bassup lib_filter m)

#remove the lib prefix to all generated .so files
set_target_properties(eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor gate_stereo compressor_stereo bassup PROPERTIES PREFIX "")

#CLEAN generated .c files on run 'make clean'
SET(generatedEqConfigFiles 
      ${PROJECT_SOURCE_DIR}/eq1qm.c;${PROJECT_SOURCE_DIR}/eq1qs.c
      ${PROJECT_SOURCE_DIR}/eq4qm.c;${PROJECT_SOURCE_DIR}/eq4qs.c
      ${PROJECT_SOURCE_DIR}/eq6qm.c;${PROJECT_SOURCE_DIR}/eq6qs.c
      ${PROJECT_SOURCE_DIR}/eq10qm.c;${PROJECT_SOURCE_DIR}/eq10qs.c
      ${PROJECT_SOURCE_DIR}/gate_mono.c;${PROJECT_SOURCE_DIR}/compressor_mono.c
      ${PROJECT_SOURCE_DIR}/gate_stereo.c;${PROJECT_SOURCE_DIR}/compressor_stereo.c
      )
SET_DIRECTORY_PROPERTIES(PROPERTIES  ADDITIONAL_MAKE_CLEAN_FILES "${generatedEqConfigFiles}")


##===========================THE LV2 INSTALLER================================================
#INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/${LV2_BUNDLE}" DESTINATION "${LV2_BUNDLE}")
INSTALL( FILES "manifest.ttl" "eq1qm.ttl" "eq1qs.ttl" "eq4qm.ttl" "eq4qs.ttl" "eq6qm.ttl" "eq6qs.ttl" "eq10qm.ttl" "eq10qs.ttl" "gate.ttl" "compressor.ttl" "gate_stereo.ttl" "compressor_stereo.ttl" "bassup.ttl" DESTINATION "${LV2_BUNDLE}")
INSTALL( TARGETS eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor gate_stereo compressor_stereo bassup DESTINATION "${LV2_BUNDLE}")

INCLUDE(CPack)
# cpack -G TGZ

=== gui/widgets/CMakeLists.txt ===
##Widgets CMake

link_directories(${GTKMM_LIBRARY_DIRS})

include_directories(${GTKMM_INCLUDE_DIRS})

add_library(eqwin  STATIC
		mainwidget.cpp bandctl.cpp  eqparams.cpp  knob.cpp knob2.cpp 
		vuwidget.cpp eqwindow.cpp filter.cpp setwidgetcolors.cpp 
		bodeplot.cpp button.cpp toggle_button.cpp fftctlwidget.cpp abbutton.cpp)

target_link_libraries( eqwin ${GTKMM_LIBRARIES} m)

add_library(dynamicwin  STATIC mainwidget.cpp vuwidget.cpp  knob.cpp knob2.cpp dynamicswindow.cpp setwidgetcolors.cpp button.cpp toggle_button.cpp dynplot.cpp sidechainbox.cpp)
target_link_libraries( dynamicwin ${GTKMM_LIBRARIES} m)

add_library(bassupwin STATIC mainwidget.cpp knob.cpp knob2.cpp bassupwindow.cpp)
target_link_libraries( bassupwin ${GTKMM_LIBRARIES} m)

=== debian/changelog ===
eq10q (2.0~beta7.1~repack0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Jun 2015 14:50:17 +0100

eq10q (2.0~beta7.1~repack0-1) unstable; urgency=medium

   [ Jaromír Mikeš ]
  * New upstream release.
  * Bump Standards.
  * Update copyright file.
  * Add lv2-dev and libfftw3-dev as build-dep.
  * Patches refreshed.
  * Add get-orig-source for repacking.

   [ Alessio Treglia ]
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Mar 2015 19:01:39 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends: debhelper (>= 9),
  cmake,
  libgtkmm-2.4-dev,
- pkg-config
-Standards-Version: 3.9.5
+ pkg-config,
+ lv2-dev,
+ libfftw3-dev
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/eq10q.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/eq10q.git
 Homepage: http://eq10q.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
DFSG = repack0

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README

get-orig-source:
	cd $(DEBIAN_DIR)/.. && uscan --force-download
	tar xf ../eq10q-$(UPSTREAM_VERSION).tar.gz
	rm ../eq10q-$(UPSTREAM_VERSION).tar.gz \
	../eq10q_$(UPSTREAM_VERSION).orig.tar.gz
	mv eq10q-$(UPSTREAM_VERSION) eq10q-$(UPSTREAM_VERSION)~$(DFSG)
	tar cf ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar \
	--exclude=.kdev4 eq10q-$(UPSTREAM_VERSION)~$(DFSG) \
	--exclude-vcs
	gzip -9fn ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar
	rm -r eq10q-$(UPSTREAM_VERSION)~$(DFSG)

## eq10q 2.0~repack0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,10 @@
 
 ##ADD_DEFINITIONS(-Wall -O3 -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99)
 set(CMAKE_C_FLAGS "-Wall -O3 -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99")
-set(CMAKE_CXX_FLAGS "-Wall -fPIC")
+#set(CMAKE_C_FLAGS "-Wall -O0 -g -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99")
+
+set(CMAKE_CXX_FLAGS "-Wall -fPIC -std=c++11")
+#set(CMAKE_CXX_FLAGS "-Wall -O0 -g -fPIC -DPIC") ##Debuging GUI
 
 ##ADD_DEFINITIONS(-Wall -O0 -g -fPIC -DPIC) ###USED FOR DEBUG
 
@@ -120,8 +123,22 @@
 add_library(bassup SHARED bassup.c)
 target_link_libraries( bassup lib_filter m)
 
+#Build LR2MS DSP Stereo
+set( Matrix_Is_LR2MS 1)
+set( Matrix_Uri  "\"http://eq10q.sourceforge.net/matrix_lr2ms\"")
+configure_file("${PROJECT_SOURCE_DIR}/midside_matrix.c" "${PROJECT_SOURCE_DIR}/matrix_lr2ms.c")
+add_library(matrix_lr2ms SHARED matrix_lr2ms.c)
+target_link_libraries( matrix_lr2ms lib_vumeter lib_filter m)
+
+#Build MS2LR DSP Stereo
+set( Matrix_Is_LR2MS 0)
+set( Matrix_Uri  "\"http://eq10q.sourceforge.net/matrix_ms2lr\"")
+configure_file("${PROJECT_SOURCE_DIR}/midside_matrix.c" "${PROJECT_SOURCE_DIR}/matrix_ms2lr.c")
+add_library(matrix_ms2lr SHARED matrix_ms2lr.c)
+target_link_libraries( matrix_ms2lr lib_vumeter lib_filter m)
+
 #remove the lib prefix to all generated .so files
-set_target_properties(eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor gate_stereo compressor_stereo bassup PROPERTIES PREFIX "")
+set_target_properties(eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor gate_stereo compressor_stereo bassup matrix_lr2ms matrix_ms2lr PROPERTIES PREFIX "")
 
 #CLEAN generated .c files on run 'make clean'
 SET(generatedEqConfigFiles 
@@ -131,14 +148,15 @@
       ${PROJECT_SOURCE_DIR}/eq10qm.c;${PROJECT_SOURCE_DIR}/eq10qs.c
       ${PROJECT_SOURCE_DIR}/gate_mono.c;${PROJECT_SOURCE_DIR}/compressor_mono.c
       ${PROJECT_SOURCE_DIR}/gate_stereo.c;${PROJECT_SOURCE_DIR}/compressor_stereo.c
+      ${PROJECT_SOURCE_DIR}/matrix_lr2ms.c;${PROJECT_SOURCE_DIR}/matrix_ms2lr.c
       )
 SET_DIRECTORY_PROPERTIES(PROPERTIES  ADDITIONAL_MAKE_CLEAN_FILES "${generatedEqConfigFiles}")
 
 
 ##===========================THE LV2 INSTALLER================================================
 #INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/${LV2_BUNDLE}" DESTINATION "${LV2_BUNDLE}")
-INSTALL( FILES "manifest.ttl" "eq1qm.ttl" "eq1qs.ttl" "eq4qm.ttl" "eq4qs.ttl" "eq6qm.ttl" "eq6qs.ttl" "eq10qm.ttl" "eq10qs.ttl" "gate.ttl" "compressor.ttl" "gate_stereo.ttl" "compressor_stereo.ttl" "bassup.ttl" DESTINATION "${LV2_BUNDLE}")
-INSTALL( TARGETS eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor gate_stereo compressor_stereo bassup DESTINATION "${LV2_BUNDLE}")
+INSTALL( FILES "manifest.ttl" "eq1qm.ttl" "eq1qs.ttl" "eq4qm.ttl" "eq4qs.ttl" "eq6qm.ttl" "eq6qs.ttl" "eq10qm.ttl" "eq10qs.ttl" "gate.ttl" "compressor.ttl" "gate_stereo.ttl" "compressor_stereo.ttl" "bassup.ttl" "lr2ms.ttl" "ms2lr.ttl" DESTINATION "${LV2_BUNDLE}")
+INSTALL( TARGETS eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor gate_stereo compressor_stereo bassup matrix_lr2ms matrix_ms2lr DESTINATION "${LV2_BUNDLE}")
 
 INCLUDE(CPack)
 # cpack -G TGZ

=== dsp/CMakeLists.txt ===
###DSP CMake

##Build Mono Filter lib
add_library(lib_filter STATIC filter.c)

##Build the vumeter
add_library( lib_vumeter  STATIC vu.c)

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 set( Eq_Gui_Test_Path "\"${PROJECT_SOURCE_DIR}/gui\"" )
 configure_file("${PROJECT_SOURCE_DIR}/gui/guitester.cpp" "${PROJECT_SOURCE_DIR}/gui/guitester_cfg_.cpp")
 ADD_EXECUTABLE(eq10q_gui_tester  main.cpp guitester_cfg_.cpp)
-target_link_libraries( eq10q_gui_tester  eqwin dynamicwin ${GTKMM_LIBRARIES})
+target_link_libraries( eq10q_gui_tester  eqwin dynamicwin bassupwin midsidewin ${GTKMM_LIBRARIES})
 
 #===========================BUILD EQ10Q ALL GUI FILES=============================================
 
@@ -89,7 +89,7 @@
 
 #Build GATE GUI
 set( bIsCompressor "false")
-set( Dyn_Title "\"~GT10Q~\\r\\nNoise Gate\"")
+set( Dyn_Title "\"GT10Q ~ Noise Gate\"")
 set( Gui_Dyn_Uri  "\"http://eq10q.sourceforge.net/gate/gui\"")
 configure_file("${PROJECT_SOURCE_DIR}/gui/dyn_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/gate_ui.cpp")
 add_library(gate_gui SHARED gate_ui.cpp)
@@ -97,14 +97,32 @@
 
 #Build Compressor GUI
 set( bIsCompressor "true")
-set( Dyn_Title "\"~CS10Q~\\r\\nCompressor\"")
+set( Dyn_Title "\"CS10Q ~ Compressor\"")
 set( Gui_Dyn_Uri  "\"http://eq10q.sourceforge.net/compressor/gui\"")
 configure_file("${PROJECT_SOURCE_DIR}/gui/dyn_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/compressor_ui.cpp")
 add_library(compressor_gui SHARED compressor_ui.cpp)
 target_link_libraries( compressor_gui  dynamicwin ${GTKMM_LIBRARIES})
 
+#Build BassUp Gui_Dyn_Uri
+add_library(bassup_gui SHARED bassup_ui.cpp)
+target_link_libraries( bassup_gui  bassupwin ${GTKMM_LIBRARIES})
+
+#Build LR2MS UI
+set( bIsLR2MS "true")
+set( Gui_MidSide_Uri  "\"http://eq10q.sourceforge.net/matrix_lr2ms/gui\"")
+configure_file("${PROJECT_SOURCE_DIR}/gui/midside_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/matrix_lr2ms_gui.cpp")
+add_library(matrix_lr2ms_gui SHARED matrix_lr2ms_gui.cpp)
+target_link_libraries( matrix_lr2ms_gui  midsidewin ${GTKMM_LIBRARIES})
+
+#Build MS2LR UI
+set( bIsLR2MS "false")
+set( Gui_MidSide_Uri  "\"http://eq10q.sourceforge.net/matrix_ms2lr/gui\"")
+configure_file("${PROJECT_SOURCE_DIR}/gui/midside_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/matrix_ms2lr_gui.cpp")
+add_library(matrix_ms2lr_gui SHARED matrix_ms2lr_gui.cpp)
+target_link_libraries( matrix_ms2lr_gui  midsidewin ${GTKMM_LIBRARIES})
+
 #remove the lib prefix to all generated .so files
-set_target_properties(eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui PROPERTIES PREFIX "")
+set_target_properties(eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui bassup_gui matrix_lr2ms_gui matrix_ms2lr_gui PROPERTIES PREFIX "")
 
 ##CLEAN generated .cpp files on run 'make clean'
 SET(generatedGuiConfigFiles
@@ -118,11 +136,13 @@
       ${PROJECT_SOURCE_DIR}/gui/eq10qs_ui.cpp
       ${PROJECT_SOURCE_DIR}/gui/gate_ui.cpp
       ${PROJECT_SOURCE_DIR}/gui/compressor_ui.cpp
+      ${PROJECT_SOURCE_DIR}/gui/matrix_lr2ms_gui.cpp
+      ${PROJECT_SOURCE_DIR}/gui/matrix_ms2lr_gui.cpp
       )
 SET_DIRECTORY_PROPERTIES(PROPERTIES  ADDITIONAL_MAKE_CLEAN_FILES "${generatedGuiConfigFiles}")
 
 ##=================================INSTALLER===================================================================================
-INSTALL( TARGETS eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui DESTINATION "${LV2_BUNDLE}/gui")
+INSTALL( TARGETS eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui bassup_gui matrix_lr2ms_gui matrix_ms2lr_gui DESTINATION "${LV2_BUNDLE}/gui")
 INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/knobs" DESTINATION "${LV2_BUNDLE}/gui")
 INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/combopix" DESTINATION "${LV2_BUNDLE}/gui")
 INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/icons" DESTINATION "${LV2_BUNDLE}/gui")

=== gui/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 add_library(eqwin  STATIC
 		mainwidget.cpp bandctl.cpp  eqparams.cpp  knob.cpp knob2.cpp 
 		vuwidget.cpp eqwindow.cpp filter.cpp setwidgetcolors.cpp 
-		bodeplot.cpp button.cpp toggle_button.cpp fftctlwidget.cpp abbutton.cpp)
+		bodeplot.cpp button.cpp toggle_button.cpp abbutton.cpp sidechainbox.cpp)
 
 target_link_libraries( eqwin ${GTKMM_LIBRARIES} m)
 
@@ -16,3 +16,6 @@
 
 add_library(bassupwin STATIC mainwidget.cpp knob.cpp knob2.cpp bassupwindow.cpp)
 target_link_libraries( bassupwin ${GTKMM_LIBRARIES} m)
+
+add_library(midsidewin STATIC  mainwidget.cpp vuwidget.cpp  knob.cpp knob2.cpp midsidewindow.cpp setwidgetcolors.cpp button.cpp toggle_button.cpp sidechainbox.cpp)
+target_link_libraries( midsidewin ${GTKMM_LIBRARIES} m)

=== debian/changelog ===
eq10q (2.0~repack0-1) unstable; urgency=medium

  * Imported Upstream version 2.0~repack0 (Closes: #805661)
  * Repack with xz compression.
  * Refresh patches.
  * Update description.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 19 Dec 2015 05:59:43 +0100

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,13 @@
 Provides: lv2-plugin
 Description: LV2 plugins bundle
  Package contains these plugins:
-  * eq10q - 10 band equalizer;
-  * eq6q  -  6 band equalizer;
-  * eq4q  -  4 band equalizer;
-  * eq1q  -  1 band equalizer;
-  * cs10q -  compressor;
-  * gt10q -  gate.
+  * eq10q  - 10 band equalizer;
+  * eq6q   -  6 band equalizer;
+  * eq4q   -  4 band equalizer;
+  * eq1q   -  1 band equalizer;
+  * cs10q  -  compressor;
+  * gt10q  -  gate;
+  * bassup -  bass enhancer.
  .
  All plugins have mono and stereo version.
  .

=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,7 @@
 	tar cf ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar \
 	--exclude=.kdev4 eq10q-$(UPSTREAM_VERSION)~$(DFSG) \
 	--exclude-vcs
-	gzip -9fn ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar
-	rm -r eq10q-$(UPSTREAM_VERSION)~$(DFSG)
+	xz -zf ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar
+	rm -rf eq10q-$(UPSTREAM_VERSION)~$(DFSG)
+#	mv eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar.xz ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar.xz
+#	rm ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack0.*// \
http://sf.net/eq10q/eq10q-(.*)\.tar\.gz

## eq10q 2.0%7ebeta7.1%7erepack0

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 set( Eq_Gui_Test_Path "\"${PROJECT_SOURCE_DIR}/gui\"" )
 configure_file("${PROJECT_SOURCE_DIR}/gui/guitester.cpp" "${PROJECT_SOURCE_DIR}/gui/guitester_cfg_.cpp")
 ADD_EXECUTABLE(eq10q_gui_tester  main.cpp guitester_cfg_.cpp)
-target_link_libraries( eq10q_gui_tester  eqwin dynamicwin bassupwin midsidewin ${GTKMM_LIBRARIES})
+target_link_libraries( eq10q_gui_tester  eqwin dynamicwin bassupwin ${GTKMM_LIBRARIES})
 
 #===========================BUILD EQ10Q ALL GUI FILES=============================================
 
@@ -107,22 +107,8 @@
 add_library(bassup_gui SHARED bassup_ui.cpp)
 target_link_libraries( bassup_gui  bassupwin ${GTKMM_LIBRARIES})
 
-#Build LR2MS UI
-set( bIsLR2MS "true")
-set( Gui_MidSide_Uri  "\"http://eq10q.sourceforge.net/matrix_lr2ms/gui\"")
-configure_file("${PROJECT_SOURCE_DIR}/gui/midside_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/matrix_lr2ms_gui.cpp")
-add_library(matrix_lr2ms_gui SHARED matrix_lr2ms_gui.cpp)
-target_link_libraries( matrix_lr2ms_gui  midsidewin ${GTKMM_LIBRARIES})
-
-#Build MS2LR UI
-set( bIsLR2MS "false")
-set( Gui_MidSide_Uri  "\"http://eq10q.sourceforge.net/matrix_ms2lr/gui\"")
-configure_file("${PROJECT_SOURCE_DIR}/gui/midside_ui.cpp" "${PROJECT_SOURCE_DIR}/gui/matrix_ms2lr_gui.cpp")
-add_library(matrix_ms2lr_gui SHARED matrix_ms2lr_gui.cpp)
-target_link_libraries( matrix_ms2lr_gui  midsidewin ${GTKMM_LIBRARIES})
-
 #remove the lib prefix to all generated .so files
-set_target_properties(eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui bassup_gui matrix_lr2ms_gui matrix_ms2lr_gui PROPERTIES PREFIX "")
+set_target_properties(eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui bassup_gui PROPERTIES PREFIX "")
 
 ##CLEAN generated .cpp files on run 'make clean'
 SET(generatedGuiConfigFiles
@@ -136,13 +122,11 @@
       ${PROJECT_SOURCE_DIR}/gui/eq10qs_ui.cpp
       ${PROJECT_SOURCE_DIR}/gui/gate_ui.cpp
       ${PROJECT_SOURCE_DIR}/gui/compressor_ui.cpp
-      ${PROJECT_SOURCE_DIR}/gui/matrix_lr2ms_gui.cpp
-      ${PROJECT_SOURCE_DIR}/gui/matrix_ms2lr_gui.cpp
       )
 SET_DIRECTORY_PROPERTIES(PROPERTIES  ADDITIONAL_MAKE_CLEAN_FILES "${generatedGuiConfigFiles}")
 
 ##=================================INSTALLER===================================================================================
-INSTALL( TARGETS eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui bassup_gui matrix_lr2ms_gui matrix_ms2lr_gui DESTINATION "${LV2_BUNDLE}/gui")
+INSTALL( TARGETS eq1qm_gui eq1qs_gui eq4qm_gui eq4qs_gui eq6qm_gui eq6qs_gui eq10qm_gui eq10qs_gui gate_gui compressor_gui bassup_gui DESTINATION "${LV2_BUNDLE}/gui")
 INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/knobs" DESTINATION "${LV2_BUNDLE}/gui")
 INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/combopix" DESTINATION "${LV2_BUNDLE}/gui")
 INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/icons" DESTINATION "${LV2_BUNDLE}/gui")
